import javax.swing.JFrame;

/**
 * This class can be run as an application.  It's main() routine
 * simply opens a window that shows a RandomArtPanel.  This
 * window remains open until the user closes the window.
 */
public class RandomArtFrame extends JFrame {

	public static void main(String[] args) {
		JFrame artWindow = new JFrame("Random Art?");
		RandomArtPanel panel = new RandomArtPanel();
		artWindow.setContentPane(panel);
		artWindow.setLocation(80,50);
		artWindow.pack();
		artWindow.setResizable(false);
		artWindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		artWindow.setVisible(true);
	}
	
}
