import javax.swing.JFrame;

/**
 * This class can be run as an application.  It's main() routine
 * simply opens a window that shows a BasicAnimationPanel.  This
 * window remains open, and the animation continues to run, until
 * the user closes the window.
 */
public class BasicAnimationFrame extends JFrame {

	public static void main(String[] args) {
		JFrame animationWindow = new JFrame("Basic Animation");
		BasicAnimationPanel panel = new BasicAnimationPanel();
		animationWindow.setContentPane(panel);
		animationWindow.setLocation(80,50);
		animationWindow.pack();
		animationWindow.setResizable(false);
		animationWindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		animationWindow.setVisible(true);
	}
	
}
